# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section         free
%define grizzly_jruby_version 0.1.2

Name:           grizzly
Summary:        Grizzly - Java NIO Server Framework
Url:            https://grizzly.dev.java.net/
Version:        1.9.34
Release:        1%{?dist}
Epoch:          0
License:        CDDL
Group:          Networking/Daemons
Source0:        grizzly-1.9.34.tgz
# Steps to reproduce
# svn export https://svn.java.net/svn/grizzly~svn/tags/1_9_34 grizzly-1.9.34
# tar czf ../SOURCES/grizzly-1.9.34.tgz grizzly-1.9.34/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Patch0:         %{name}-pom.patch
Patch1:         %{name}-modules-pom.patch
Patch2:         %{name}-extras-pom.patch
Patch3:         %{name}-cometd-client-BayeuxClient.patch
Patch4:         %{name}-cometd-client-BayeuxLoadGenerator.patch


BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  junit
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-exec
BuildRequires:  mojo-maven2-plugin-findbugs
BuildRequires:  mojo-parent
BuildRequires:  apache-felix-maven-bundle-plugin
BuildRequires:  istack-commons-maven-plugin
BuildRequires:  oss-parent
BuildRequires:  testng

BuildRequires:  annotation_1_0_api
BuildRequires:  apache-commons-modeler
BuildRequires:  ecj3
BuildRequires:  jaf_1_1_api
BuildRequires:  jetty6-cometd
BuildRequires:  jetty6-ext
BuildRequires:  jruby >= 0:1.1.1
BuildRequires:  ops4j-pax-exam
BuildRequires:  org.osgi.core
BuildRequires:  org.osgi.compendium
BuildRequires:  servlet_2_5_api
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  stax_1_0_api
BuildRequires:  tomcat6-lib
BuildRequires:  tomcat6-el-1.0-api
BuildRequires:  tomcat6-jsp-2.1-api

Requires:  java >= 0:1.6.0
Requires:  apache-commons-modeler
Requires:  org.osgi.core
Requires:  org.osgi.compendium
Requires:  servlet_2_5_api

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

%if %{gcj_support}
BuildRequires:    gnu-crypto
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Writing scalable server applications in the Java programming
language has always been difficult. Before the advent of the
Java New I/O API (NIO), thread management issues made it
impossible for a server to scale to thousands of users. The
Grizzly framework has been designed to help developers to take
advantage of the Java NIO API. Originally developed under the
GlassFish umbrella, the framework is now available as a
standalone project. Grizzly goals is to help developers to
build scalable and robust servers using NIO. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
  mv $f $f.no
done
cp %{SOURCE1} settings.xml

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4

%build

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export SETTINGS=$(pwd)/settings.xml
#        -Dmaven.test.failure.ignore=true \

export MAVEN_OPTS="-Xmx512m"
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.skip=true \
        install 

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap com.sun.grizzly grizzly-project %{version} JPP/%{name} project
install -m 644 pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-project.pom

%add_to_maven_depmap com.sun.grizzly grizzly-contribs %{version} JPP/%{name} contribs
install -m 644 contribs/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-contribs.pom

%add_to_maven_depmap com.sun.grizzly grizzly-contribs-bundles %{version} JPP/%{name} contribs-bundles
install -m 644 contribs/bundles/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-contribs-bundles.pom

%add_to_maven_depmap com.sun.grizzly.osgi grizzly-httpservice-bundle %{version} JPP/%{name} httpservice-bundle
install -m 644 contribs/bundles/grizzly-httpservice-bundle/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-httpservice-bundle.pom
install -m 644 contribs/bundles/grizzly-httpservice-bundle/target/grizzly-httpservice-bundle-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/httpservice-bundle-%{version}.jar

%add_to_maven_depmap com.sun.grizzly.osgi grizzly-httpservice %{version} JPP/%{name} httpservice
install -m 644 contribs/grizzly-httpservice/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-httpservice.pom
install -m 644 contribs/grizzly-httpservice/target/grizzly-httpservice-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/httpservice-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-extra %{version} JPP/%{name} extras
install -m 644 extras/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extras.pom

%add_to_maven_depmap grizzly-cachetest grizzly-cachetest %{version} JPP/%{name} cachetest
install -m 644 extras/cachetest/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cachetest.pom
install -m 644 extras/cachetest/target/grizzly-cachetest-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/cachetest-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-cometd-client %{version} JPP/%{name} cometd-client
install -m 644 extras/cometd-client/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cometd-client.pom
install -m 644 extras/cometd-client/target/grizzly-cometd-client-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/cometd-client-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-ajp %{version} JPP/%{name} ajp
install -m 644 extras/http-ajp/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ajp.pom
install -m 644 extras/http-ajp/target/grizzly-ajp-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/ajp-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-lzma %{version} JPP/%{name} lzma
install -m 644 extras/lzma/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-lzma.pom
install -m 644 extras/lzma/target/grizzly-lzma-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/lzma-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-modules %{version} JPP/%{name} modules
install -m 644 modules/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-modules.pom

%add_to_maven_depmap com.sun.grizzly grizzly-bundles %{version} JPP/%{name} bundles
install -m 644 modules/bundles/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundles.pom

%add_to_maven_depmap com.sun.grizzly grizzly-cometd-webserver %{version} JPP/%{name} cometd-webserver
install -m 644 modules/bundles/cometd/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cometd-webserver.pom
install -m 644 modules/bundles/cometd/target/grizzly-cometd-webserver-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/cometd-webserver-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-comet-webserver %{version} JPP/%{name} comet-webserver
install -m 644 modules/bundles/comet/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-comet-webserver.pom
install -m 644 modules/bundles/comet/target/grizzly-comet-webserver-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/comet-webserver-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-nio-framework %{version} JPP/%{name} nio-framework
install -m 644 modules/bundles/framework/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-nio-framework.pom
install -m 644 modules/bundles/framework/target/grizzly-nio-framework-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/nio-framework-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-http-servlet-deployer %{version} JPP/%{name} http-servlet-deployer
install -m 644 modules/bundles/http-servlet-deployer/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http-servlet-deployer.pom
install -m 644 modules/bundles/http-servlet-deployer/target/grizzly-http-servlet-deployer-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/http-servlet-deployer-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-servlet-webserver %{version} JPP/%{name} servlet-webserver
install -m 644 modules/bundles/http-servlet/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-servlet-webserver.pom
install -m 644 modules/bundles/http-servlet/target/grizzly-servlet-webserver-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/servlet-webserver-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-http-webserver %{version} JPP/%{name} http-webserver
install -m 644 modules/bundles/http/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http-webserver.pom
install -m 644 modules/bundles/http/target/grizzly-http-webserver-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/http-webserver-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-webserver %{version} JPP/%{name} webserver
install -m 644 modules/bundles/webserver/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webserver.pom
install -m 644 modules/bundles/webserver/target/grizzly-webserver-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/webserver-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-cometd %{version} JPP/%{name} cometd
install -m 644 modules/cometd/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cometd.pom
install -m 644 modules/cometd/target/grizzly-cometd-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/cometd-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-comet %{version} JPP/%{name} comet
install -m 644 modules/comet/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-comet.pom
install -m 644 modules/comet/target/grizzly-comet-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/comet-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-compat %{version} JPP/%{name} compat
install -m 644 modules/compat/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-compat.pom
install -m 644 modules/compat/target/grizzly-compat-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/compat-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-framework %{version} JPP/%{name} framework
install -m 644 modules/grizzly/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-framework.pom
install -m 644 modules/grizzly/target/grizzly-framework-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/framework-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-servlet-deployer %{version} JPP/%{name} servlet-deployer
install -m 644 modules/http-servlet-deployer/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-servlet-deployer.pom
install -m 644 modules/http-servlet-deployer/target/grizzly-servlet-deployer-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/servlet-deployer-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-http-servlet %{version} JPP/%{name} http-servlet
install -m 644 modules/http-servlet/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http-servlet.pom
install -m 644 modules/http-servlet/target/grizzly-http-servlet-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/http-servlet-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-http-servlet %{version} JPP/%{name} http-servlet
install -m 644 modules/http-servlet/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http-servlet.pom
install -m 644 modules/http-servlet/target/grizzly-http-servlet-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/http-servlet-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-http %{version} JPP/%{name} http
install -m 644 modules/http/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http.pom
install -m 644 modules/http/target/grizzly-http-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/http-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-portunif %{version} JPP/%{name} portunif
install -m 644 modules/portunif/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-portunif.pom
install -m 644 modules/portunif/target/grizzly-portunif-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/portunif-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-rcm %{version} JPP/%{name} rcm
install -m 644 modules/rcm/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rcm.pom
install -m 644 modules/rcm/target/grizzly-rcm-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/rcm-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-utils %{version} JPP/%{name} utils
install -m 644 modules/utils/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-utils.pom
install -m 644 modules/utils/target/grizzly-utils-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/utils-%{version}.jar

%add_to_maven_depmap com.sun.grizzly grizzly-websockets %{version} JPP/%{name} websockets
install -m 644 modules/websockets/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-websockets.pom
install -m 644 modules/websockets/target/grizzly-websockets-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/websockets-%{version}.jar

%add_to_maven_depmap com.sun.grizzly.samples grizzly-samples %{version} JPP/%{name} samples
install -m 644 samples/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-samples.pom

%add_to_maven_depmap com.sun.grizzly.samples grizzly-framework-samples %{version} JPP/%{name} framework-samples
install -m 644 samples/framework/filters-samples/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-framework-samples.pom
install -m 644 samples/framework/filters-samples/target/grizzly-framework-samples-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/framework-samples-%{version}.jar

%add_to_maven_depmap com.sun.grizzly.samples grizzly-embed-samples %{version} JPP/%{name} embed-samples
install -m 644 samples/http/http-embed/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-embed-samples.pom
install -m 644 samples/http/http-embed/target/grizzly-embed-samples-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/embed-samples-%{version}.jar

%add_to_maven_depmap com.sun.grizzly.samples grizzly-multiple-adapter %{version} JPP/%{name} multiple-adapter
install -m 644 samples/http/multiple-adapter/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-multiple-adapter.pom
install -m 644 samples/http/multiple-adapter/target/grizzly-multiple-adapter-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/multiple-adapter-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 samples/comet/comet-chat-iframe/target/grizzly-comet-chat-iframe.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/comet-chat-iframe-%{version}.war
install -m 644 samples/comet/comet-chat/target/grizzly-comet-chat.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/comet-chat-%{version}.war
install -m 644 samples/comet/comet-counter/target/grizzly-comet-counter.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/comet-counter-%{version}.war
install -m 644 samples/comet/cometd-chat/target/grizzly-cometd-chat.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/cometd-chat-%{version}.war
install -m 644 samples/comet/cometd-echo/target/grizzly-cometd-echo.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/cometd-echo-%{version}.war
install -m 644 samples/comet/cometd-javaapiupdate-chat/target/grizzly-cometd-bayeux.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/cometd-bayeux-%{version}.war
install -m 644 samples/comet/comet-hidden/target/grizzly-comet-hidden.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/comet-hidden-%{version}.war
install -m 644 samples/comet/comet-jmaki/target/grizzly-jmaki.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/comet-jmaki-%{version}.war
install -m 644 samples/comet/twitter/target/grizzly-twitter.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/twitter-%{version}.war
install -m 644 samples/websockets/chat/target/grizzly-websockets-chat.war \
   $RPM_BUILD_ROOT%{_datadir}/%{name}/websockets-chat-%{version}.war

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root)
%{_javadir}/%{name}
%{_datadir}/%{name}
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*-%{version}.jar.*
%endif

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Thu Jul 21 2011 Ralph Apel <r.apel at r-apel.de> 0:1.9.34-1
- 1.9.34

* Thu Jun 05 2008 Ralph Apel <r.apel at r-apel.de> 0:1.7.3.3-1jpp
- First release
